aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorckl <ckl@google.com>2023-02-06 15:41:46 -0800
committerCharles Lee <ckl@google.com>2023-02-27 16:44:38 -0800
commit2ef87e7e0efea7c43e53fee4fa6dc85b53e7f354 (patch)
tree711d9c8ed921209ad64bd61fb5d6d1ad9e531410
parentd65abb56208727e4e36d2d6db050842b1ec99cf3 (diff)
downloadwycheproof-2ef87e7e0efea7c43e53fee4fa6dc85b53e7f354.tar.gz
Add Kokoro script for running all Wycheproof tests.
This will be configured to run as a scheduled/manually-triggered job, as opposed to the smaller scope of the tests currently being run during presubmit/postsubmit (kokoro/run_continuous_tests.sh). NOKEYCHECK=True PiperOrigin-RevId: 507602263
-rwxr-xr-xkokoro/run_all_tests.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/kokoro/run_all_tests.sh b/kokoro/run_all_tests.sh
new file mode 100755
index 0000000..936b068
--- /dev/null
+++ b/kokoro/run_all_tests.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Fail on any error.
+set -e
+
+# Display commands to stderr.
+set -x
+
+if [[ -n "${KOKORO_ROOT}" ]] ; then
+ # Change to the repository root.
+ cd git*/wycheproof
+
+ use_bazel.sh "$(cat .bazelversion)"
+fi
+
+# TODO(ckl): Distinguish between test failures and execution failures.
+
+# Run all tests to generate logs.
+# We don't care about the test results, thus always return successfully.
+bazel query "kind(test, :all)" \
+ | grep AllTests \
+ | grep -v Local \
+ | xargs bazel test --test_output=all \
+ || exit 0